package net.sf.twip;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Limits the set of valid values for a {@link TwiP parameter to a test method}.
 * <p>
 * This can either be an expression like <code>>= 0</code>,
 * <code>!= RUNTIME</code>, or the name of a static method that takes a
 * parameter of that type and returns <code>true</code> if the value is valid.
 * <p>
 * Valid assume expressions are:
 * 
 * TODO document
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.PARAMETER)
public @interface Assume {

	String value();
}
