package net.sf.twip;

import org.junit.runners.model.FrameworkMethod;
import org.junit.runners.model.Statement;

/**
 * Allows to {@link #wrap(FrameworkMethod, Object, Statement) wrap} a JUnit-
 * {@link Statement}.
 * 
 * @see TwipExtensions
 */
public interface TwipExtension {

	/**
	 * Decorate a JUnit {@link Statement} into a new one and thereby extend the
	 * functionality of JUnit.
	 * 
	 * @param method
	 *            The test method that is to be called.
	 * @param testInstance
	 *            The test instance on which the method is called.
	 * @param statement
	 *            The {@link Statement} that you can wrap.
	 * @return a new {@link Statement} wrapping the one passed in; or directly
	 *         that, if you choose not to wrap anything.
	 */
	public Statement wrap(FrameworkMethod method, Object testInstance, Statement statement);

}
